﻿.learning-flow {
    background: var(--bg-section);
    color: #fff;
    position: relative;
    margin-left: calc(-50vw + 50%);
    margin-right: calc(-50vw + 50%);
    width: 100vw;
    padding: var(--space-section);
    padding-left: calc(50vw - 50%);
    padding-right: calc(50vw - 50%);
}

.flow {
    margin: 0 auto;
}

.flow-item {
    display: flex;
    gap: 20px;
    padding: 20px 0;
    border-left: 2px solid rgba(255,255,255,0.1);
    padding-left: 24px;
    cursor: pointer;
    position: relative;
    transition: all 0.3s;
}

.flow-item.active .step{
    background: #4f8cff;
    color: white;
    box-shadow: 0 0 20px rgba(79, 140, 255, 0.5);
}

    .flow-item::before {
        content: "";
        position: absolute;
        left: -7px;
        top: 32px;
        width: 12px;
        height: 12px;
        background: #4f8cff;
        border-radius: 50%;
    }

.step {
    width: 35px !important;
    height: 35px !important;
    min-width: 35px !important;
    background: rgba(79, 140, 255, 0.15);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
    font-size: 1.2rem;
    transition: all 0.3s;
    flex-shrink: 0;
    color: #4f8cff;
}

.flow-item h5 {
    margin-bottom: 6px;
    font-weight: 600;
}

.flow-item p {
    opacity: 0.8;
    margin: 0;
}

/*container for additional information*/
.flow-container{
    display: flex;
    gap: 60px;
    max-width: 1300px;
}

.timeline{
    flex: 0 0 550px;
    position: relative;
}

.details{
    flex: 1;
    max-width: 720px;
    position: relative;
    transition: opacity 0.4s;
}

.detail {
    opacity: 0;
    visibility: hidden;
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.4s ease;
}

    .detail.active {
        opacity: 1;
        visibility: visible;
        position: relative;
    }


.detail-img{
    display: block;
    width: 100%;
    max-width: 420px;
    height: auto;
    margin: 0 auto 1.24rem auto;
    margin-top: 21px;
    border-radius: 12px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.35);
}